/**
 * Licensed to jclouds, Inc. (jclouds) under one or more
 * contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  jclouds licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.jclouds.abiquo.reference.rest;

/**
 * Names of the "rel" attribute of the links that point to parent objects.
 * 
 * @author Francesc Montserrat
 */
public class ParentLinkName
{
    public final static String RACK = "rack";

    public final static String DATACENTER = "datacenter";

    public final static String ENTERPRISE = "enterprise";

    public final static String ROLE = "role";

    public final static String TIER = "tier";

    public final static String STORAGE_DEVICE = "device";

    public final static String VIRTUAL_DATACENTER = "virtualdatacenter";

    public final static String VIRTUAL_APPLIANCE = "virtualappliance";

    public final static String VIRTUAL_MACHINE_TEMPLATE = "virtualmachinetemplate";

    public final static String DATACENTER_REPOSITORY = "datacenterrepository";

    public final static String COST_CODE = "costcode";

    public final static String CATEGORY = "category";

    public final static String ICON = "icon";

    public final static String PRIVATE_NETWORK = "privatenetwork";

    public final static String PUBLIC_NETWORK = "publicnetwork";

    public final static String EXTERNAL_NETWORK = "externalnetwork";

    public final static String UNMANAGED_NETWORK = "unmanagednetwork";

    public final static String NETWORK_CONFIGURATIONS = "configurations";

    public final static String NETWORK_GATEWAY = "network_configuration";
}
